#include "refuseForm.h"
#include "ui_refuseForm.h"

RefuseForm::RefuseForm(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::RefuseForm)
{
    ui->setupUi(this);
    setWindowFlags(this->windowFlags() | Qt::FramelessWindowHint);
}

RefuseForm::~RefuseForm()
{
    delete ui;
}


void RefuseForm::on_refuseBtnCancle_clicked()
{
    this->reject();
}

void RefuseForm::on_refuseBtnOk_clicked()
{
    this->accept();
}

void RefuseForm::on_reason1_toggled(bool checked)
{
    m_reasonCode="餐厅已打烊";
}

void RefuseForm::on_reason2_toggled(bool checked)
{
    m_reasonCode="菜品已售完";
}

void RefuseForm::on_reason3_toggled(bool checked)
{
    m_reasonCode="餐厅太忙";
}

void RefuseForm::on_reason4_toggled(bool checked)
{
    m_reasonCode="联系不上客户";
}

void RefuseForm::on_reason5_toggled(bool checked)
{
    m_reasonCode="无人配送";
}
